#ifndef FIB_H_
#define FIB_H_

namespace Fib {

class Core {
 public:
Core();
~Core();

// Restart Fibonacci sequence
void Restart();

// Each successive call will return the next number
// in the Fibonacci sequence (0,1,1,2,3,5,8,...)
int CalcNext();

 private:
class CorePrivate *d_ptr_;
};
}  // namespace Fib

#endif  // FIB_H_
