#ifndef FIB_WRAPPER_H_
#define FIB_WRAPPER_H_

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * \fn FIB_Restart()
 * \brief Wrapper function to restart Fibonacci sequence
 */
void FIB_Restart();

/**
 * \fn FIB_CalcNext()
 * \brief Wrapper function to compute the next sequence
 */
int FIB_Calc(int seq);

#ifdef __cplusplus
}
#endif

#endif  // FIB_H_
