#include <stdio.h>
#include "fib.h"
#include "fib_wrapper.h"

int main() {
    Fib::Core fib_inst;

    printf("Hello, World!\n");

    for (int i = 0; i < 10; i++) {
        printf("%d, ", fib_inst.CalcNext());
    }
    printf("\n");

    for (int i = 0; i < 10; i++) {
        printf("%d, ", fib_inst.CalcNext());
    }
    printf("\n");

    fib_inst.Restart();
    for (int i = 0; i < 10; i++) {
        printf("%d, ", fib_inst.CalcNext());
    }
    printf("\n");

    printf("\nHello, Wrapped World!\n");

    for (int i = 0; i < 10; i++) {
        printf("%d, ", FIB_Calc(1));
    }
    printf("\n");

    for (int i = 0; i < 10; i++) {
        printf("%d, ", FIB_Calc(1));
    }
    printf("\n");

    FIB_Restart();
    for (int i = 0; i < 10; i++) {
        printf("%d, ", FIB_Calc(1));
    }
    printf("\n");

    return 0;
}
